
#include"CInputDriverWindowsMSG.h"
#include"CKeybordDriverWindowsMSG.h"
#include"CMouseDriverWindowsMSG.h"
#include"../CCharCodeDriverWindows.h"

namespace Maid
{
	/*!
	 	@class	CInputDriverWindowsMSG CInputDriverWindowsMSG.h
	 	@brief	入力ドライバの親 オブジェクト（プロシージャ で取得する Ver. )
	 */ 

/*-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-*/
//! コンストラクタ
/*!
 */

CInputDriverWindowsMSG::CInputDriverWindowsMSG( HWND hWnd ) : m_hWnd(hWnd)
{

}


/*-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-*/
//! キーボードドライバの作成
/*!
 	引数などは IInputDriver::CreateKeybordDriver を参照すること
 */
SPKEYBORDDRIVER CInputDriverWindowsMSG::CreateKeybordDriver()
{
	return SPKEYBORDDRIVER( new CKeybordDriverWindowsMSG );
}

/*-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-*/
//! マウスドライバの作成
/*!
 	引数などは IInputDriver::CreateMouseDriver を参照すること
 */
SPMOUSEDRIVER CInputDriverWindowsMSG::CreateMouseDriver()
{
	return SPMOUSEDRIVER( new CMouseDriverWindowsMSG(m_hWnd) );
}

/*-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-*/
//! 文字コードドライバの作成
/*!
 	引数などは IInputDriver::CreateCharCodeDriver を参照すること
 */
SPCHARCODEDRIVER	CInputDriverWindowsMSG::CreateCharCodeDriver()
{
	return SPCHARCODEDRIVER( new CCharCodeDriverWindows );
}


}

